libtheoraenc1-1.1.1-lp150.54.5.x86_64.rpm


Advertisement

Description

libtheoraenc1 - Theora video compression library

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Multimedia Libs all
Package name libtheoraenc1
Package version 1.1.1
Package release lp150.54.5
Package architecture x86_64
Package type rpm
Installed size 250.40 KB
Download size 122.74 KB
Official Mirror ftp.gwdg.de
Theora is a free and open video compression format from the Xiph.org Foundation. Like all our
multimedia technology it can be used to distribute film and video online and on disc without
the licensing and royalty fees or vendor lock-in associated with other formats.
This subpackage contains the encoder library.

Alternatives

Package Version Architecture Repository
libtheoraenc1-1.1.1-lp150.1.7.x86_64.rpm 1.1.1 x86_64 openSUSE Oss
libtheoraenc1 - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.14)(64bit) -
libogg.so.0()(64bit) -

Provides

Name Value
libtheoraenc.so.1()(64bit) -
libtheoraenc.so.1(libtheora.so.1.0)(64bit) -
libtheoraenc.so.1(libtheoraenc_1.0)(64bit) -
libtheoraenc1 = 1.1.1-lp150.54.5
libtheoraenc1(x86-64) = 1.1.1-lp150.54.5

Download

Type URL
Binary Package libtheoraenc1-1.1.1-lp150.54.5.x86_64.rpm
Source Package libtheora-1.1.1-lp150.54.5.src.rpm

Install Howto

  1. Add the openSUSE Multimedia Libs repository:
    # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/multimedia:/libs/openSUSE_Leap_15.0/ opensuse-multimedia-libs
  2. Install libtheoraenc1 rpm package:
    # zypper install libtheoraenc1

Files

Path
/usr/lib64/libtheoraenc.so.1
/usr/lib64/libtheoraenc.so.1.1.2

Changelog

2014-08-30 - jengelh@inai.de
- Split libtheoradec/enc from libtheora0 as they have different
SO numbers
- Trim huge description; improve on RPM group classificaiton
2013-05-23 - idonmez@suse.com
- Update descriptions, thanks to Perry Werneck
2011-11-20 - coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
2011-08-29 - crrodriguez@opensuse.org
- remove examples that fail to build, also SDL and png
are only needed for those, so remove from buildrequires.
2011-07-27 - crrodriguez@opensuse.org
- remove fno-strict-aliasing from CFLAGS as it is no longer
needed and will slow down things.
2011-05-23 - crrodriguez@opensuse.org
- Disable doxygen documentation to avoid build dates in
- devel packages.
- add missing BuildRequires libpng-devel
2009-12-18 - jengelh@medozas.de
- add baselibs.conf as a source
2009-10-07 - adrian@suse.de
- update to version 1.1.1
* minor bugfixes
2009-09-26 - adrian@suse.de
- update to version 1.1.0
* minor fixes since beta 3
2009-08-27 - adrian@suse.de
- update to version 1.1 beta 3
* Much better encoder
(faster and more details at same compressions level)
* Playback received speed improvements, but bitstream format is
untouched
- no package split yet for dec/enc/legacy libs due to 11.2 freeze

See Also

Package Description
libtiger-devel-0.3.4-lp150.4.4.x86_64.rpm Development files for libtiger
libtiger5-0.3.4-lp150.4.4.x86_64.rpm Rendering library for Kate streams using Pango and Cairo
libtimidity-devel-0.2.2-lp150.22.4.x86_64.rpm MIDI to WAVE converter library - Development Files
libtimidity2-0.2.2-lp150.22.4.x86_64.rpm MIDI to WAVE converter library
libtinycompress0-1.1.6-lp150.1.1.x86_64.rpm A library for ALSA compressed API
libtoxav0-0.0.0+git20160124.61f8e65-lp150.1.9.x86_64.rpm Audio/Video library for toxcore
libtoxcore0-0.0.0+git20160124.61f8e65-lp150.1.9.x86_64.rpm Core library for toxcore
libtoxdns0-0.0.0+git20160124.61f8e65-lp150.1.9.x86_64.rpm DNS library for toxcore
libtoxencryptsave0-0.0.0+git20160124.61f8e65-lp150.1.9.x86_64.rpm Encrypt Save library for toxcore
libtwolame-devel-0.3.13-lp150.5.5.x86_64.rpm Include Files and Libraries mandatory for Development
libtwolame0-0.3.13-lp150.5.5.x86_64.rpm Shared libraries for TwoLame
libudf0-2.0.0-lp150.67.2.x86_64.rpm Library for working with Universal Disk Format filesystems
libunicap-devel-0.9.12-lp150.41.4.x86_64.rpm Development files for the unicap library
libunicap2-0.9.12-lp150.41.4.x86_64.rpm Library to access different kinds of (video) capture devices
libvamp-hostsdk3-2.7.1-lp150.23.8.x86_64.rpm Library for Vamp audio analysis plugin hosts
Advertisement
Advertisement